{% extends "base.html.jinja" %}

{% block title %}
  Main page
{% endblock %}

{% block body %}
  <!--  H2 DB Owner -->
  <a name="top"></a>
  <h2>
    WhatsApp'
    <img
      src="img/whatsapp.png" alt=""
      style="width:40px;height:40px;vertical-align:middle"
    />
    Xtract
    {% if mode == IPHONE %}
      <img src="img/apple.png" alt="" style="width:35px;height:35px;"/>
    {% elif mode == ANDROID %}
      <img src="img/android.png" alt="" style="width:35px;height:35px;"/>
    {% endif %}

    <span>{{ owner }}</span>
  </h2>

  <!--  writes 1st table header "CHAT SESSION" -->
  <table class="sortable" id="chatsession" border="1" cellpadding="2" cellspacing="0">
    <thead>
    <tr>
      <th>PK</th>
      <th>Contact Name</th>
      <th>Contact ID</th>
      <th>Status</th>
      <th># Msg</th>
      <th># Unread Msg</th>
      <th>Last Message</th>
    </tr>
    </thead>

    <!--  writes 1st table content -->
    <tbody>
    {% for chat_session in chat_session_list %}


      <tr>
        <!-- TODO convert emojis -->
        <td>{{ chat_session.pk_cs }}</td>
        <td class="contact">
          <a href="{{ chat_session.contact_name }}_{{ chat_session.pk_cs }}.html">
            {{ chat_session.contact_name }}
          </a>
        </td>
        <td class="contact">{{ chat_session.contact_id }}</td>
        <td>{{ chat_session.contact_status }}</td>
        <td>{{ chat_session.message_count }}</td>
        <td>{{ chat_session.contact_unread_msg }}</td>
        <td>{{ chat_session.lastmessagedate }}</td>
      </tr>
    {% endfor %}
    </tbody>
  </table>
{% endblock %}
